Skip to main content
POST
/
api
/
v1
/
sprints
/
{sprint_id}
/
move
Move Sprint
curl --request POST \
  --url https://api.example.com/api/v1/sprints/{sprint_id}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "draft"
}
'
{
  "board_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "id": "<string>",
  "spec_id": "<string>",
  "spec_version": 123,
  "status": "draft",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "version": 123,
  "archived": false,
  "business_rule_ids": [
    "<string>"
  ],
  "cards": [],
  "description": "<string>",
  "end_date": "2023-11-07T05:31:56Z",
  "evaluations": [
    "<unknown>"
  ],
  "expected_outcome": "<string>",
  "labels": [
    "<string>"
  ],
  "objective": "<string>",
  "pre_archive_status": "<string>",
  "qa_items": [],
  "skip_qualitative_validation": false,
  "skip_rules_coverage": false,
  "skip_test_coverage": false,
  "start_date": "2023-11-07T05:31:56Z",
  "test_scenario_ids": [
    "<string>"
  ],
  "validation_threshold": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sprint_id
string
required

Body

application/json

Schema for changing sprint status.

status
enum<string>
required

Sprint lifecycle status.

Available options:
draft,
active,
review,
closed,
cancelled

Response

Successful Response

Schema for full sprint response.

board_id
string
required
created_at
string<date-time>
required
created_by
string
required
id
string
required
spec_id
string
required
spec_version
integer
required
status
enum<string>
required

Sprint lifecycle status.

Available options:
draft,
active,
review,
closed,
cancelled
title
string
required
updated_at
string<date-time>
required
version
integer
required
archived
boolean
default:false
business_rule_ids
string[] | null
cards
CardSummaryForSpec · object[]
description
string | null
end_date
string<date-time> | null
evaluations
any[] | null
expected_outcome
string | null
labels
string[] | null
objective
string | null
pre_archive_status
string | null
qa_items
SprintQAResponse · object[]
skip_qualitative_validation
boolean
default:false
skip_rules_coverage
boolean
default:false
skip_test_coverage
boolean
default:false
start_date
string<date-time> | null
test_scenario_ids
string[] | null
validation_threshold
integer | null
Last modified on May 8, 2026